MATLAB Answers

HDL Coder - Can it only Generate a project with Vivado 2107.2, not Vivado 2017.4.1

조회 수: 2(최근 30일)
michael brewin
michael brewin 2018년 4월 25일
답변: Wang Chen 2018년 4월 25일
Hi. I'm new to MATLAB HDL coder. So have recent software, MATLAB_2018A, Xilinx Vivado 2017.4.1 When I get to step 4.1 Create Project, it fails with this output at the end of the script.
ERROR: This script was generated using Vivado <2017.2> and is being run in <2017.4.1> of Vivado.
Please run the script in Vivado <2017.2> then open the design in Vivado <2017.4.1>.
Upgrade the design by running "Tools => Report => Report IP Status...",
then run write_bd_tcl to create an updated script.
WARNING: [Vivado 12-818] No files matched 'system.bd'
Question : Does this mean I have to go back and install Vivado 2017.2 and get a license for it ? Question : earlier in the flow (step 1.2) there is a checkbox to ignore Vivado versions Have I missed this sort of option in the step 4.1 , Create project, I can't see where ?
If HDL-coder's project creation script will not work with Vivado 2017.4.1 Please can the MATLAB HDL Coder script be updated to allow it to Create projects for Vivado 2017.4.1 The default location of the .bat & .exe is "C:\Xilinx\vivado_zynq\Vivado\2017.4\bin"
Thanks, Dr M. Brewin / Mike.

채택된 답변

Wang Chen
Wang Chen 2018년 4월 25일
Hi Mike,
R2018a version of HDL Coder supports Vivado 2017.2, so please use this version of Vivado. Please see following documentation page: https://www.mathworks.com/help/hdlcoder/gs/language-and-tool-version-support.html
Vivado 2017.4 will be supported in the future version of HDL Coder.
Thanks, Wang

추가 답변(0개)

태그

제품

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by